apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
  - gotk-components.yaml
  - gotk-sync.yaml
patches:
  - patch: |
      apiVersion: v1
      kind: ServiceAccount
      metadata:
        name: image-reflector-controller
        annotations:
          iam.gke.io/gcp-service-account: flux-img-ops-central@gitlab-ops.iam.gserviceaccount.com
    target:
      kind: ServiceAccount
      name: image-reflector-controller
